function [cyclelengths,distances] = get_cyclelengths(folder)

%Folder typically 'Attack/ATSxx'

cyclelengths    = zeros(6,15);
distances       = zeros(6,15);
counter = 1;
for i=1:5
    for j = 1:3
        current = strcat(folder,'/S',int2str(i),'/w',int2str(j));
        [matrix a] = euclid_attack('Attack/VTS16',current);
        if(~isempty(a))
            cyclelengths(1:length(a),counter) = a(:,1);
        end
        if(~isempty(matrix))
            distances(1:length(a),counter) = matrix(:,1);
        end
        counter = counter + 1;
    end
end